import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/asn',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/asn/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/asn',
    method: 'put',
    data
  })
}
export function getAsnList() {
  return request({
    url: 'api/asn/getAsnList',
    method: 'post'
  })
}
export function startAsn(id) {
  return request({
    url: 'api/asn/startAsn',
    method: 'post',
    data: id
  })
}

export default { add, edit, del, getAsnList, startAsn }
